Error: Could not locate share directory that matches the current GMT version 5.2.1.

Added by CJ 9 months ago

Dear all,
Thank you for the time reading it.
I am working on Ubuntu and I try to install GMT 5.4.3 by following website https://gmt.soest.hawaii.edu/projects/gmt/wiki/Installing.
After running whole scrip, I want to check the function of gmt, so I type "gmt" on the terminal and it shows "
Error: Could not locate share directory that matches the current GMT version 5.2.1."

I am not sure that it could be cause by unsuccessfully install of pervious try.

Can you give a hand on it.
Thank you a lot.
Best regards,

CJ


Replies (3)

RE: Error: Could not locate share directory that matches the current GMT version 5.2.1. - Added by Paul 9 months ago

That means you are still having the old default Ubuntu gmt 5.2.1 in your path. You should remove that first.

RE: Error: Could not locate share directory that matches the current GMT version 5.2.1. - Added by CJ 9 months ago

Dear Paul

I try to use sudo apt-get purge --auto-remove gmt-5.2.1, but it does not work.
do you have a alternative code?

best wish,

CJ
—--—--—--—--—--—--—--—--–
cjmax:/$ gmt
Error: Could not locate share directory that matches the current GMT version 5.2.1.
cjmax:/$ sudo apt-get purge --auto-remove gmt-5.2.1
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package gmt-5.2.1
E: Couldn't find any package by glob 'gmt-5.2.1'
E: Couldn't find any package by regex 'gmt-5.2.1'
cjmax:/$ gmt
Error: Could not locate share directory that matches the current GMT version 5.2.1.
—--—--—--—--—--—--—--—--—

RE: Error: Could not locate share directory that matches the current GMT version 5.2.1. - Added by Paul 9 months ago

I don't know how this works since I dont use Linux much anymore, but plan B would be to install your new GMT distro in one of your own directories and then look at gmtswitch on how to manage more than one GMT installation. I am using gmtswitch to jump between 4-5 different GMT versions for testing purposes.

(1-3/3)